/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.records.SensorhorarepeticaoRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SensorhorarepeticaoDao extends AbstractVertxDAO<SensorhorarepeticaoRecord, com.tabajara.base.tables.pojos.Sensorhorarepeticao, Integer, Future<List<com.tabajara.base.tables.pojos.Sensorhorarepeticao>>, Future<com.tabajara.base.tables.pojos.Sensorhorarepeticao>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<SensorhorarepeticaoRecord,com.tabajara.base.tables.pojos.Sensorhorarepeticao,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public SensorhorarepeticaoDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Sensorhorarepeticao.SENSORHORAREPETICAO, com.tabajara.base.tables.pojos.Sensorhorarepeticao.class, new JDBCClassicQueryExecutor<SensorhorarepeticaoRecord,com.tabajara.base.tables.pojos.Sensorhorarepeticao,Integer>(com.tabajara.base.tables.pojos.Sensorhorarepeticao.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Sensorhorarepeticao object) {
        return object.getSenhorid();
    }

    /**
     * Find records that have <code>fksenid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Sensorhorarepeticao>> findManyByFksenid(List<Integer> values) {
        return findManyByCondition(Sensorhorarepeticao.SENSORHORAREPETICAO.FKSENID.in(values));
    }

    /**
     * Find records that have <code>fkhorid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Sensorhorarepeticao>> findManyByFkhorid(List<Integer> values) {
        return findManyByCondition(Sensorhorarepeticao.SENSORHORAREPETICAO.FKHORID.in(values));
    }
}
